Identify API
Create and update user records.
Identify a user
http: POST /v1/projects/:projectId/identify
POST /v1/projects/:projectId/identifyjson: "externalId": "user_123",
{
"externalId": "user_123",
"properties": {
"email": "sarah@example.com",
"plan": "premium"
}
}Response (200):
json: "data": {
{
"data": {
"id": "...",
"projectId": "...",
"externalId": "user_123",
"properties": { "email": "sarah@example.com", "plan": "premium" },
"firstSeenAt": "2024-12-15T10:32:01Z",
"lastSeenAt": "2024-12-15T10:32:01Z"
}
}Creates a new user if one doesn't exist with the given externalId in the project. If the user exists, it updates their properties and lastSeenAt.
Get a user
http: GET /v1/projects/:projectId/users/:userId
GET /v1/projects/:projectId/users/:userIdList users
http: GET /v1/projects/:projectId/users?limit=50&offset=0
GET /v1/projects/:projectId/users?limit=50&offset=0